summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..82b8a4ed560
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Caleb Bassi <calebjbassi@gmail.com>
+
+pkgname=leggie-git
+_pkgname=${pkgname%-git}
+pkgver=r35.05aeb28
+pkgrel=1
+pkgdesc="A pretty, legible 6x12, 8/9x14, 8/9x16, 9x18, 12x24 bitmap font with over 1700 glyphs. Perfect for terminals and text editors."
+url="https://github.com/wiktor-b/leggie"
+arch=(any)
+provides=(${_pkgname})
+conflicts=(${_pkgname})
+depends=("bdf2psf")
+makedepends=("git")
+license=("CCPL")
+source=("git+${url}")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${_pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd ${_pkgname}
+ make install BDFDEST="$pkgdir/usr/share/fonts/" PSFDEST="$pkgdir/usr/share/kbd/consolefonts/"
+}